package com.madeu.service.web.webphotodiet;

import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;
import java.util.List;

public interface WebPhotoDietService {
    public HashMap<String, Object> selectListWebPhotoDietIntro(HashMap<String, Object> paramMap) throws Exception;

    public HashMap<String, Object> selectListWebPhotoDiet(HashMap<String, Object> paramMap) throws Exception;

    public HashMap<String, Object> selectWebPhotoDiet(HashMap<String, Object> paramMap) throws Exception;

    public HashMap<String, Object> uploadFile(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;

    public HashMap<String, Object> insertWebPhotoDietIntro(HashMap<String, Object> paramMap) throws Exception;

    public HashMap<String, Object> insertWebPhotoDiet(HashMap<String, Object> paramMap, List<MultipartFile> file)
            throws Exception;

    public HashMap<String, Object> updateWebPhotoDietIntro(HashMap<String, Object> paramMap) throws Exception;

    public HashMap<String, Object> updateWebPhotoDiet(HashMap<String, Object> paramMap, List<MultipartFile> file)
            throws Exception;

    public HashMap<String, Object> deleteWebPhotoDiet(HashMap<String, Object> paramMap) throws Exception;

    public HashMap<String, Object> getCategoryList(HashMap<String, Object> paramMap) throws Exception;
}
